Installer la dernière version de Ruby

Default
,

Bonjour,

Voilà je voudrais savoir comment installer la dernière version de Ruby ainsi que Ruby On Rails sur Mac, je travaille en local avec MAMP. Je voudrais apprendre ce language...

J'ai regardais dans tutoriel mais les tutoriels d'installation concerne Windows.

Anthony

22 Réponse

1
4140
,

Voila un tuto pour installer ruby et rail (en anglais): http://net.tutsplus.com/tutorials/ruby/ruby-for-newbies-installing-ruby-and-getting-started/

encore un autre : http://net.tutsplus.com/tutorials/ruby/how-to-install-ruby-on-a-mac/

Default
,

Ok pour le deuxième tutoriel, car je suis sur Mac...

Cependant en ce qui concerne On Rails que faut-il faire de plus ?

4140
,

apparemment d'après le 2e lien, il suffit de faire

gem install rails

dans le terminal ruby

mais je ne peux pas t'aider plus, mon os est mac tiger 10.4.11

et il est trop ancien pour vérifier ce que je te dis

Default
,

Déjà voilà mes erreurs quand je fais un rvm install 1.9.2

Fetching yaml-0.1.4.tar.gz to /Users/nomutilisateur/.rvm/archives
Extracting yaml-0.1.4.tar.gz to /Users/nomutilisateur/.rvm/src
Configuring yaml in /Users/nomutilisateur/.rvm/src/yaml-0.1.4.
Error running ' ./configure --prefix="/Users/nomutilisateur/.rvm/usr" ', please read /Users/nomutilisateur/.rvm/log/ruby-1.9.2-p318/yaml/configure.log
Compiling yaml in /Users/nomutilisateur/.rvm/src/yaml-0.1.4.
Error running 'make ', please read /Users/nomutilisateur/.rvm/log/ruby-1.9.2-p318/yaml/make.log


Database file /Users/nomutilisateur/.rvm/config/packages does not exist.
Installing Ruby from source to: /Users/nomutilisateur/.rvm/rubies/ruby-1.9.2-p318, this may take a while depending on your cpu(s)...
ruby-1.9.2-p318 - #fetching 
ruby-1.9.2-p318 - #extracted to /Users/nomutilisateur/.rvm/src/ruby-1.9.2-p318 (already extracted)
ruby-1.9.2-p318 - #configuring 
Error running ' ./configure --prefix=/Users/nomutilisateur/.rvm/rubies/ruby-1.9.2-p318 --enable-shared --disable-install-doc --with-libyaml --with-opt-dir=/Users/nomutilisateur/.rvm/usr ', please read /Users/nomutilisateur/.rvm/log/ruby-1.9.2-p318/configure.log
There has been an error while running configure. Halting the installation.
ls: /Users/nomutilisateur/.rvm/rubies/*/bin/ruby: No such file or directory
4140
,

c'est quoi ta config?

Default
,

Mac Os X 10.7.3 (Lion)

2.8 GHz Intel Core 2 Duo

4 Go 1067 MHz DDR3

4140
,

qu est ce que ça te donne quand tu fais

ruby -v (renvoit la version de ruby installée)

dans ton terminal?

Default
,

ruby 1.8.7 (2010-01-10 patchlevel 249) [universal-darwin11.0]

Default
,

Personne ?

4140
,

est ce que tu as la dernière version de xcode ?

Default
,

Oui j'ai la dernière. ;)

Default
,

La 4.3.2...

4140
,

est ce que tu as suivi les instructions du site de rvm: http://beginrescueend.com/ ?

Default
,

La première commande se passe bien, la deuxième "source ~/.rvm/scripts/'rvm'" me renvoie "sh: /var/root/.rvm/scripts/rvm: No such file or directory"

4140
,

désolé mais là je ne peux pas t'aider.

Par contre, il y a apparemment d'autres solutions (notamment macport)

va voir sur le site de ruby: http://www.ruby-lang.org/fr/downloads/

Default
,

Ok c'est pas grave, merci quand même ;)

Default
,

Bonjour,

Je ne connais pas trop Mac mais j'ai vue dans un sinatracast (qui date déjà d'un petit moment certesà que la version 4.3.2 de Xcode été buggé. Je te conseille de tenter avec la version 4.3.1.

Default
,

Si tu veux installer facilement ruby et ruby on rails je te conseille ça http://railsinstaller.org/.

4140
,

Rails installer ça marche dans le cas où l'on a un pc, or ici je crois que tonymx15 a un mac.

Default
,

Tu n'as pas été voir mon lien, RailsInstaller marche aussi bien sur PC que sur OSX.

1